'***************************************  Axes Setup Program  ***************************************
' File:			AX_SETUP.PRG
' Purpose:		Axes setup example
' Version:		V1.0.0.0
' History:		11:57:53 27/09/2017 - V1.0.0.0 Created
' Author:		AUTOMATICALLY GENERATED by AX_SETUP_Gen.py
' Description:	This script configures each axis' parameters according to the user's specifications in
'				the softMC Configurator.
'
' Global Variables Used: num_Of_Motion_Drives as long  - Number of ECat Motion Drives found by EC_SETUP.PRG
'						Axes[64] - An array that holds all the axes in the system. Defined in CONFIG.PRG
'********************************************************************************************************

' module global variables
common shared AX_SETUP_PRG_error_code as long
common shared AX_SETUP_PRG_error_str as string

common shared ERR_AX_SETUP as error "ERROR SETTING UP AXES. CHECK AX_SETUP_PRG_error_code / AX_SETUP_PRG_error_STR" 20765

common shared dHomingFactorFast as double = 0.5
common shared dHomingFactorslow as double = 0.25
common shared dHomingFactorAcc as double = 0.1
common shared dSec2msec as double = 1000  '  this is used to convert from typical user time-units [msec] to typical drive time-units [sec]
common shared dHomingVelocity as double
common shared dHomingAcceleration as double
common shared dVelocityLimit as double
common shared dDrivePeMax as double
common shared mm_to_inch as double = (1/25.4)
common shared pfac_of_drive as double = 1000000
common shared ax_setup_pitch as double = 1

Program
	call Setup_Axis_1

	call Setup_Axis_2

	call Setup_Axis_3

	call Setup_Axis_4

	call Setup_Axis_5

	call Setup_Axis_6

	print "Axes Setup Finished Successfully !"

AX_SETUP_PRG_DONE:

End Program


Sub Setup_Axis_1

	dim retStr as string

	if Execute_VES("with A1", 1) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AXISTYPE = 1", 1212) <> 0 then
		throw ERR_AX_SETUP
	end if

  pfac_of_drive = 81.0316*(EC_SDO_READ(1,0x6092,1)/EC_SDO_READ(1,0x6092,2))*(EC_SDO_READ(1,0x6091,1)/EC_SDO_READ(1,0x6091,2))/360
	if Execute_VES("PFAC= pfac_of_drive ", 1218) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VFAC = PFAC/1000", 1218) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AFAC = PFAC/(1000*1000)", 1218) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JFAC = PFAC/(1000*1000*1000)", 1218) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Simulated = 0", 1225) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionErrorDelay = 4.110000000000000e+00", 1226) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("MotionBusVelocityScale = 0", 1227) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("MotionBusVelocityBase = 1.000000000000000e+03", 1228) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CountMin = -2147483648", 1229) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CountMax = 2147483647", 1230) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CountRollOver = 0", 1231) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExternalFactor = 1.000000000000000e+00", 1232) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Direction = 1", 1233) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DirectionExternal = 1", 1234) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Displacement = 2.68806", 1235) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityExternalFactor = 1.000000000000000e+00", 1236) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueFactor = 1.000000000000000e+00", 1237) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionErrorSettle = 1.000000000000000e-01", 1238) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeSettleMax = -1.000000000000000e+00", 1239) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeSettle = 0.000000000000000e+00", 1240) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Absolute = 0", 1241) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityCruise = 1.000000000000000e+02", 1242) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Acceleration = 1.000000000000000e+03", 1243) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Deceleration = 1.000000000000000e+03", 1244) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Jerk = 2.222220000000000e+04", 1245) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Wrap = 0", 1246) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ProfilerType = -1", 1247) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("SmoothFactor = -1.000000000000000e+00", 1248) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("StartType = 3", 1249) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("StopType = 1", 1250) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ProceedType = 3", 1251) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DisableTimeout = 22000", 1252) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMax = 2.000000000000000e+02", 1253) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMin = -2.000000000000000e+02", 1254) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMaxEnable = 1", 1255) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMinEnable = 1", 1256) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionErrorMax = 1.000000000000000e+00", 1257) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionRollOver = 3.600000000000000e+02", 1258) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionRollOverEnable = 0", 1259) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionRollOverMin = -1.800000000000000e+02", 1260) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExtRollOver = 3.600000000000000e+02", 1261) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExtRollOverEnable = 0", 1262) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExtRollOverMin = -1.800000000000000e+02", 1263) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityMax = 2.230000000000000e+02", 1264) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityOverSpeed = 2.676000000000000e+02", 1265) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocitySafetyLimit = 2.230000000000000e+03", 1266) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AccelerationMax = 2.230000000000000e+03", 1267) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DecelerationMax = 2.230000000000000e+03", 1268) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkMax = 8.920000000000000e+03", 1269) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorMax = 1.000000000000000e+05", 1270) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueMax = 1.000000000000000e+04", 1271) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueChangeRatioMax = 1.000000000000000e+00", 1272) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityOverride = 1.000000000000000e+02", 1273) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityRate = 1.000000000000000e+02", 1274) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AccelerationRate = 1.000000000000000e+02", 1275) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DecelerationRate = 1.000000000000000e+02", 1276) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkRate = 1.000000000000000e+02", 1277) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkAccelerationPercentage = 1.000000000000000e+02", 1278) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkDecelerationPercentage = 1.000000000000000e+02", 1279) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingFactor = 1.000000000000000e+02", 1280) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingFactorPrevious = -1.000000000000000e+00", 1281) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingMethod = 1", 1282) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingStartCondition = 0", 1283) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CP = 0.000000000000000e+00", 1284) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CPPrev = -1.000000000000000e+00", 1285) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorDisableType = 0", 1286) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorEnable = 0", 1287) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorFilter = 1.000000000000000e+00", 1288) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorStopType = 3", 1289) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueChangeRatio = 1.000000000000000e+00", 1290) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("HoldType = 0", 1291) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DynamicModel = 0", 1292) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ModelOffset = 0.000000000000000e+00", 1293) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CoulombFriction = 0.000000000000000e+00", 1294) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ViscousFriction = 0.000000000000000e+00", 1295) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PayloadInertia = 0.000000000000000e+00", 1296) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PayloadMass = 0.000000000000000e+00", 1297) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AbsEnable = 1", 1298) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityLimitTorqueMax = 1.000000000000000e+03", 1299) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueLimitVelocityMax = 1.000000000000000e+04", 1300) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeOfShortMotions = 0", 1301) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeAcceleration = -1.000000000000000e+00", 1302) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeDeceleration = -1.000000000000000e+00", 1303) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeAccMin = 0", 1304) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeDecMin = 0", 1305) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionBacklash = 0.000000000000000e+00", 1306) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionBacklashAlpha = 9.000000000000000e-01", 1307) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("FastDataEnable = 0", 1308) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("mastersource = A19.PCMD", 1309) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("slave = 0", 1310) <> 0 then
		throw ERR_AX_SETUP
	end if

	attach A1
		call EC_SET_MOTION_OPMODE(A1, 0)
	detach A1

	retStr = VesExecute("end with")

	print "Done setting motion and homing parameters to axis A1"

End Sub


Sub Setup_Axis_2

	dim retStr as string

	if Execute_VES("with A2", 1) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AXISTYPE = 1", 1314) <> 0 then
		throw ERR_AX_SETUP
	end if

  pfac_of_drive = 99.7922*(EC_SDO_READ(2,0x6092,1)/EC_SDO_READ(2,0x6092,2))*(EC_SDO_READ(2,0x6091,1)/EC_SDO_READ(2,0x6091,2))/360
	if Execute_VES("PFAC= pfac_of_drive ", 1320) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VFAC = PFAC/1000", 1320) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AFAC = PFAC/(1000*1000)", 1320) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JFAC = PFAC/(1000*1000*1000)", 1320) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Simulated = 0", 1327) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionErrorDelay = 4.110000000000000e+00", 1328) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("MotionBusVelocityScale = 0", 1329) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("MotionBusVelocityBase = 1.000000000000000e+03", 1330) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CountMin = -2147483648", 1331) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CountMax = 2147483647", 1332) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CountRollOver = 0", 1333) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExternalFactor = 1.000000000000000e+00", 1334) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Direction = -1", 1335) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DirectionExternal = 1", 1336) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Displacement = 96.2069", 1337) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityExternalFactor = 1.000000000000000e+00", 1338) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueFactor = 1.000000000000000e+00", 1339) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionErrorSettle = 1.000000000000000e-01", 1340) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeSettleMax = -1.000000000000000e+00", 1341) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeSettle = 0.000000000000000e+00", 1342) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Absolute = 0", 1343) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityCruise = 1.000000000000000e+02", 1344) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Acceleration = 1.000000000000000e+03", 1345) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Deceleration = 1.000000000000000e+03", 1346) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Jerk = 2.222220000000000e+04", 1347) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Wrap = 0", 1348) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ProfilerType = -1", 1349) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("SmoothFactor = -1.000000000000000e+00", 1350) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("StartType = 3", 1351) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("StopType = 1", 1352) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ProceedType = 3", 1353) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DisableTimeout = 22000", 1354) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMax = 0.000000000000000e+00", 1355) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMin = -1.800000000000000e+02", 1356) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMaxEnable = 1", 1357) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMinEnable = 1", 1358) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionErrorMax = 1.000000000000000e+00", 1359) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionRollOver = 3.600000000000000e+02", 1360) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionRollOverEnable = 0", 1361) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionRollOverMin = -1.800000000000000e+02", 1362) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExtRollOver = 3.600000000000000e+02", 1363) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExtRollOverEnable = 0", 1364) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExtRollOverMin = -1.800000000000000e+02", 1365) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityMax = 1.800000000000000e+02", 1366) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityOverSpeed = 2.160000000000000e+02", 1367) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocitySafetyLimit = 1.800000000000000e+03", 1368) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AccelerationMax = 1.800000000000000e+03", 1369) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DecelerationMax = 1.800000000000000e+03", 1370) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkMax = 7.200000000000000e+03", 1371) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorMax = 1.000000000000000e+05", 1372) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueMax = 1.000000000000000e+04", 1373) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueChangeRatioMax = 1.000000000000000e+00", 1374) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityOverride = 1.000000000000000e+02", 1375) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityRate = 1.000000000000000e+02", 1376) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AccelerationRate = 1.000000000000000e+02", 1377) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DecelerationRate = 1.000000000000000e+02", 1378) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkRate = 1.000000000000000e+02", 1379) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkAccelerationPercentage = 1.000000000000000e+02", 1380) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkDecelerationPercentage = 1.000000000000000e+02", 1381) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingFactor = 1.000000000000000e+02", 1382) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingFactorPrevious = -1.000000000000000e+00", 1383) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingMethod = 1", 1384) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingStartCondition = 0", 1385) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CP = 0.000000000000000e+00", 1386) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CPPrev = -1.000000000000000e+00", 1387) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorDisableType = 0", 1388) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorEnable = 0", 1389) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorFilter = 1.000000000000000e+00", 1390) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorStopType = 3", 1391) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueChangeRatio = 1.000000000000000e+00", 1392) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("HoldType = 0", 1393) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DynamicModel = 0", 1394) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ModelOffset = 0.000000000000000e+00", 1395) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CoulombFriction = 0.000000000000000e+00", 1396) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ViscousFriction = 0.000000000000000e+00", 1397) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PayloadInertia = 0.000000000000000e+00", 1398) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PayloadMass = 0.000000000000000e+00", 1399) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AbsEnable = 1", 1400) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityLimitTorqueMax = 1.000000000000000e+03", 1401) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueLimitVelocityMax = 1.000000000000000e+04", 1402) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeOfShortMotions = 0", 1403) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeAcceleration = -1.000000000000000e+00", 1404) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeDeceleration = -1.000000000000000e+00", 1405) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeAccMin = 0", 1406) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeDecMin = 0", 1407) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionBacklash = 0.000000000000000e+00", 1408) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionBacklashAlpha = 9.000000000000000e-01", 1409) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("FastDataEnable = 0", 1410) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("mastersource = A19.PCMD", 1411) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("slave = 0", 1412) <> 0 then
		throw ERR_AX_SETUP
	end if

	attach A2
		call EC_SET_MOTION_OPMODE(A2, 0)
	detach A2

	retStr = VesExecute("end with")

	print "Done setting motion and homing parameters to axis A2"

End Sub


Sub Setup_Axis_3

	dim retStr as string

	if Execute_VES("with A3", 1) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AXISTYPE = 1", 1416) <> 0 then
		throw ERR_AX_SETUP
	end if

  pfac_of_drive = 79.9502*(EC_SDO_READ(3,0x6092,1)/EC_SDO_READ(3,0x6092,2))*(EC_SDO_READ(3,0x6091,1)/EC_SDO_READ(3,0x6091,2))/360
	if Execute_VES("PFAC= pfac_of_drive ", 1422) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VFAC = PFAC/1000", 1422) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AFAC = PFAC/(1000*1000)", 1422) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JFAC = PFAC/(1000*1000*1000)", 1422) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Simulated = 0", 1429) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionErrorDelay = 4.110000000000000e+00", 1430) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("MotionBusVelocityScale = 0", 1431) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("MotionBusVelocityBase = 1.000000000000000e+03", 1432) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CountMin = -2147483648", 1433) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CountMax = 2147483647", 1434) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CountRollOver = 0", 1435) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExternalFactor = 1.000000000000000e+00", 1436) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Direction = -1", 1437) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DirectionExternal = 1", 1438) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Displacement = -188.343", 1439) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityExternalFactor = 1.000000000000000e+00", 1440) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueFactor = 1.000000000000000e+00", 1441) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionErrorSettle = 1.000000000000000e-01", 1442) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeSettleMax = -1.000000000000000e+00", 1443) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeSettle = 0.000000000000000e+00", 1444) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Absolute = 0", 1445) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityCruise = 1.000000000000000e+02", 1446) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Acceleration = 1.000000000000000e+03", 1447) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Deceleration = 1.000000000000000e+03", 1448) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Jerk = 2.222220000000000e+04", 1449) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Wrap = 0", 1450) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ProfilerType = -1", 1451) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("SmoothFactor = -1.000000000000000e+00", 1452) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("StartType = 3", 1453) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("StopType = 1", 1454) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ProceedType = 3", 1455) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DisableTimeout = 22000", 1456) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMax = 2.400000000000000e+02", 1457) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMin = 8.000000000000000e+01", 1458) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMaxEnable = 1", 1459) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMinEnable = 1", 1460) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionErrorMax = 1.000000000000000e+00", 1461) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionRollOver = 3.600000000000000e+02", 1462) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionRollOverEnable = 0", 1463) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionRollOverMin = -1.800000000000000e+02", 1464) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExtRollOver = 3.600000000000000e+02", 1465) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExtRollOverEnable = 0", 1466) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExtRollOverMin = -1.800000000000000e+02", 1467) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityMax = 2.250000000000000e+02", 1468) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityOverSpeed = 2.700000000000000e+02", 1469) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocitySafetyLimit = 2.250000000000000e+03", 1470) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AccelerationMax = 2.250000000000000e+03", 1471) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DecelerationMax = 2.250000000000000e+03", 1472) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkMax = 9.000000000000000e+03", 1473) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorMax = 1.000000000000000e+05", 1474) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueMax = 1.000000000000000e+04", 1475) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueChangeRatioMax = 1.000000000000000e+00", 1476) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityOverride = 1.000000000000000e+02", 1477) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityRate = 1.000000000000000e+02", 1478) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AccelerationRate = 1.000000000000000e+02", 1479) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DecelerationRate = 1.000000000000000e+02", 1480) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkRate = 1.000000000000000e+02", 1481) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkAccelerationPercentage = 1.000000000000000e+02", 1482) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkDecelerationPercentage = 1.000000000000000e+02", 1483) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingFactor = 1.000000000000000e+02", 1484) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingFactorPrevious = -1.000000000000000e+00", 1485) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingMethod = 1", 1486) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingStartCondition = 0", 1487) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CP = 0.000000000000000e+00", 1488) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CPPrev = -1.000000000000000e+00", 1489) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorDisableType = 0", 1490) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorEnable = 0", 1491) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorFilter = 1.000000000000000e+00", 1492) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorStopType = 3", 1493) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueChangeRatio = 1.000000000000000e+00", 1494) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("HoldType = 0", 1495) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DynamicModel = 0", 1496) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ModelOffset = 0.000000000000000e+00", 1497) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CoulombFriction = 0.000000000000000e+00", 1498) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ViscousFriction = 0.000000000000000e+00", 1499) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PayloadInertia = 0.000000000000000e+00", 1500) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PayloadMass = 0.000000000000000e+00", 1501) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AbsEnable = 1", 1502) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityLimitTorqueMax = 1.000000000000000e+03", 1503) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueLimitVelocityMax = 1.000000000000000e+04", 1504) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeOfShortMotions = 0", 1505) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeAcceleration = -1.000000000000000e+00", 1506) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeDeceleration = -1.000000000000000e+00", 1507) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeAccMin = 0", 1508) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeDecMin = 0", 1509) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionBacklash = 0.000000000000000e+00", 1510) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionBacklashAlpha = 9.000000000000000e-01", 1511) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("FastDataEnable = 0", 1512) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("mastersource = A19.PCMD", 1513) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("slave = 0", 1514) <> 0 then
		throw ERR_AX_SETUP
	end if

	attach A3
		call EC_SET_MOTION_OPMODE(A3, 0)
	detach A3

	retStr = VesExecute("end with")

	print "Done setting motion and homing parameters to axis A3"

End Sub


Sub Setup_Axis_4

	dim retStr as string

	if Execute_VES("with A4", 1) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AXISTYPE = 1", 1518) <> 0 then
		throw ERR_AX_SETUP
	end if

  pfac_of_drive = 76.4951*(EC_SDO_READ(4,0x6092,1)/EC_SDO_READ(4,0x6092,2))*(EC_SDO_READ(4,0x6091,1)/EC_SDO_READ(4,0x6091,2))/360
	if Execute_VES("PFAC= pfac_of_drive ", 1524) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VFAC = PFAC/1000", 1524) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AFAC = PFAC/(1000*1000)", 1524) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JFAC = PFAC/(1000*1000*1000)", 1524) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Simulated = 0", 1531) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionErrorDelay = 4.110000000000000e+00", 1532) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("MotionBusVelocityScale = 0", 1533) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("MotionBusVelocityBase = 1.000000000000000e+03", 1534) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CountMin = -2147483648", 1535) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CountMax = 2147483647", 1536) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CountRollOver = 0", 1537) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExternalFactor = 1.000000000000000e+00", 1538) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Direction = 1", 1539) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DirectionExternal = 1", 1540) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Displacement = 1.63502", 1541) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityExternalFactor = 1.000000000000000e+00", 1542) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueFactor = 1.000000000000000e+00", 1543) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionErrorSettle = 1.000000000000000e-01", 1544) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeSettleMax = -1.000000000000000e+00", 1545) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeSettle = 0.000000000000000e+00", 1546) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Absolute = 0", 1547) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityCruise = 1.000000000000000e+02", 1548) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Acceleration = 1.000000000000000e+03", 1549) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Deceleration = 1.000000000000000e+03", 1550) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Jerk = 2.222220000000000e+04", 1551) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Wrap = 0", 1552) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ProfilerType = -1", 1553) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("SmoothFactor = -1.000000000000000e+00", 1554) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("StartType = 3", 1555) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("StopType = 1", 1556) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ProceedType = 3", 1557) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DisableTimeout = 22000", 1558) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMax = 1.800000000000000e+02", 1559) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMin = -1.800000000000000e+02", 1560) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMaxEnable = 1", 1561) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMinEnable = 1", 1562) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionErrorMax = 1.000000000000000e+00", 1563) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionRollOver = 3.600000000000000e+02", 1564) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionRollOverEnable = 0", 1565) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionRollOverMin = -1.800000000000000e+02", 1566) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExtRollOver = 3.600000000000000e+02", 1567) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExtRollOverEnable = 0", 1568) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExtRollOverMin = -1.800000000000000e+02", 1569) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityMax = 2.350000000000000e+02", 1570) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityOverSpeed = 2.820000000000000e+02", 1571) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocitySafetyLimit = 2.350000000000000e+03", 1572) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AccelerationMax = 2.350000000000000e+03", 1573) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DecelerationMax = 2.350000000000000e+03", 1574) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkMax = 9.400000000000000e+03", 1575) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorMax = 1.000000000000000e+05", 1576) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueMax = 1.000000000000000e+04", 1577) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueChangeRatioMax = 1.000000000000000e+00", 1578) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityOverride = 1.000000000000000e+02", 1579) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityRate = 1.000000000000000e+02", 1580) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AccelerationRate = 1.000000000000000e+02", 1581) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DecelerationRate = 1.000000000000000e+02", 1582) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkRate = 1.000000000000000e+02", 1583) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkAccelerationPercentage = 1.000000000000000e+02", 1584) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkDecelerationPercentage = 1.000000000000000e+02", 1585) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingFactor = 1.000000000000000e+02", 1586) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingFactorPrevious = -1.000000000000000e+00", 1587) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingMethod = 1", 1588) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingStartCondition = 0", 1589) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CP = 0.000000000000000e+00", 1590) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CPPrev = -1.000000000000000e+00", 1591) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorDisableType = 0", 1592) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorEnable = 0", 1593) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorFilter = 1.000000000000000e+00", 1594) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorStopType = 3", 1595) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueChangeRatio = 1.000000000000000e+00", 1596) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("HoldType = 0", 1597) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DynamicModel = 0", 1598) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ModelOffset = 0.000000000000000e+00", 1599) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CoulombFriction = 0.000000000000000e+00", 1600) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ViscousFriction = 0.000000000000000e+00", 1601) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PayloadInertia = 0.000000000000000e+00", 1602) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PayloadMass = 0.000000000000000e+00", 1603) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AbsEnable = 1", 1604) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityLimitTorqueMax = 1.000000000000000e+03", 1605) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueLimitVelocityMax = 1.000000000000000e+04", 1606) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeOfShortMotions = 0", 1607) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeAcceleration = -1.000000000000000e+00", 1608) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeDeceleration = -1.000000000000000e+00", 1609) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeAccMin = 0", 1610) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeDecMin = 0", 1611) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionBacklash = 0.000000000000000e+00", 1612) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionBacklashAlpha = 9.000000000000000e-01", 1613) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("FastDataEnable = 0", 1614) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("mastersource = A19.PCMD", 1615) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("slave = 0", 1616) <> 0 then
		throw ERR_AX_SETUP
	end if

	attach A4
		call EC_SET_MOTION_OPMODE(A4, 0)
	detach A4

	retStr = VesExecute("end with")

	print "Done setting motion and homing parameters to axis A4"

End Sub


Sub Setup_Axis_5

	dim retStr as string

	if Execute_VES("with A5", 1) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AXISTYPE = 1", 1620) <> 0 then
		throw ERR_AX_SETUP
	end if

  pfac_of_drive = 81.0584*(EC_SDO_READ(5,0x6092,1)/EC_SDO_READ(5,0x6092,2))*(EC_SDO_READ(5,0x6091,1)/EC_SDO_READ(5,0x6091,2))/360
	if Execute_VES("PFAC= pfac_of_drive ", 1626) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VFAC = PFAC/1000", 1626) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AFAC = PFAC/(1000*1000)", 1626) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JFAC = PFAC/(1000*1000*1000)", 1626) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Simulated = 0", 1633) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionErrorDelay = 4.110000000000000e+00", 1634) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("MotionBusVelocityScale = 0", 1635) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("MotionBusVelocityBase = 1.000000000000000e+03", 1636) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CountMin = -2147483648", 1637) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CountMax = 2147483647", 1638) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CountRollOver = 0", 1639) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExternalFactor = 1.000000000000000e+00", 1640) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Direction = 1", 1641) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DirectionExternal = 1", 1642) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Displacement = 7.95828", 1643) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityExternalFactor = 1.000000000000000e+00", 1644) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueFactor = 1.000000000000000e+00", 1645) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionErrorSettle = 1.000000000000000e-01", 1646) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeSettleMax = -1.000000000000000e+00", 1647) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeSettle = 0.000000000000000e+00", 1648) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Absolute = 0", 1649) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityCruise = 1.000000000000000e+02", 1650) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Acceleration = 1.000000000000000e+03", 1651) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Deceleration = 1.000000000000000e+03", 1652) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Jerk = 2.222220000000000e+04", 1653) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Wrap = 0", 1654) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ProfilerType = -1", 1655) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("SmoothFactor = -1.000000000000000e+00", 1656) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("StartType = 3", 1657) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("StopType = 1", 1658) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ProceedType = 3", 1659) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DisableTimeout = 22000", 1660) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMax = 1.100000000000000e+02", 1661) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMin = -1.100000000000000e+02", 1662) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMaxEnable = 1", 1663) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMinEnable = 1", 1664) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionErrorMax = 1.000000000000000e+00", 1665) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionRollOver = 3.600000000000000e+02", 1666) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionRollOverEnable = 0", 1667) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionRollOverMin = -1.800000000000000e+02", 1668) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExtRollOver = 3.600000000000000e+02", 1669) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExtRollOverEnable = 0", 1670) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExtRollOverMin = -1.800000000000000e+02", 1671) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityMax = 2.220000000000000e+02", 1672) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityOverSpeed = 2.664000000000000e+02", 1673) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocitySafetyLimit = 2.220000000000000e+03", 1674) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AccelerationMax = 2.220000000000000e+03", 1675) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DecelerationMax = 2.220000000000000e+03", 1676) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkMax = 8.880000000000000e+03", 1677) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorMax = 1.000000000000000e+05", 1678) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueMax = 1.000000000000000e+04", 1679) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueChangeRatioMax = 1.000000000000000e+00", 1680) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityOverride = 1.000000000000000e+02", 1681) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityRate = 1.000000000000000e+02", 1682) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AccelerationRate = 1.000000000000000e+02", 1683) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DecelerationRate = 1.000000000000000e+02", 1684) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkRate = 1.000000000000000e+02", 1685) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkAccelerationPercentage = 1.000000000000000e+02", 1686) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkDecelerationPercentage = 1.000000000000000e+02", 1687) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingFactor = 1.000000000000000e+02", 1688) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingFactorPrevious = -1.000000000000000e+00", 1689) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingMethod = 1", 1690) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingStartCondition = 0", 1691) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CP = 0.000000000000000e+00", 1692) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CPPrev = -1.000000000000000e+00", 1693) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorDisableType = 0", 1694) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorEnable = 0", 1695) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorFilter = 1.000000000000000e+00", 1696) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorStopType = 3", 1697) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueChangeRatio = 1.000000000000000e+00", 1698) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("HoldType = 0", 1699) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DynamicModel = 0", 1700) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ModelOffset = 0.000000000000000e+00", 1701) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CoulombFriction = 0.000000000000000e+00", 1702) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ViscousFriction = 0.000000000000000e+00", 1703) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PayloadInertia = 0.000000000000000e+00", 1704) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PayloadMass = 0.000000000000000e+00", 1705) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AbsEnable = 1", 1706) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityLimitTorqueMax = 1.000000000000000e+03", 1707) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueLimitVelocityMax = 1.000000000000000e+04", 1708) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeOfShortMotions = 0", 1709) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeAcceleration = -1.000000000000000e+00", 1710) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeDeceleration = -1.000000000000000e+00", 1711) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeAccMin = 0", 1712) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeDecMin = 0", 1713) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionBacklash = 0.000000000000000e+00", 1714) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionBacklashAlpha = 9.000000000000000e-01", 1715) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("FastDataEnable = 0", 1716) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("mastersource = A19.PCMD", 1717) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("slave = 0", 1718) <> 0 then
		throw ERR_AX_SETUP
	end if

	attach A5
		call EC_SET_MOTION_OPMODE(A5, 0)
	detach A5

	retStr = VesExecute("end with")

	print "Done setting motion and homing parameters to axis A5"

End Sub


Sub Setup_Axis_6

	dim retStr as string

	if Execute_VES("with A6", 1) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AXISTYPE = 1", 1722) <> 0 then
		throw ERR_AX_SETUP
	end if

  pfac_of_drive = 50.0013*(EC_SDO_READ(6,0x6092,1)/EC_SDO_READ(6,0x6092,2))*(EC_SDO_READ(6,0x6091,1)/EC_SDO_READ(6,0x6091,2))/360
	if Execute_VES("PFAC= pfac_of_drive ", 1728) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VFAC = PFAC/1000", 1728) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AFAC = PFAC/(1000*1000)", 1728) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JFAC = PFAC/(1000*1000*1000)", 1728) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Simulated = 0", 1735) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionErrorDelay = 4.110000000000000e+00", 1736) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("MotionBusVelocityScale = 0", 1737) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("MotionBusVelocityBase = 1.000000000000000e+03", 1738) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CountMin = -2147483648", 1739) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CountMax = 2147483647", 1740) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CountRollOver = 0", 1741) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExternalFactor = 1.000000000000000e+00", 1742) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Direction = -1", 1743) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DirectionExternal = 1", 1744) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Displacement = 139.043", 1745) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityExternalFactor = 1.000000000000000e+00", 1746) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueFactor = 1.000000000000000e+00", 1747) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionErrorSettle = 1.000000000000000e-01", 1748) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeSettleMax = -1.000000000000000e+00", 1749) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeSettle = 0.000000000000000e+00", 1750) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Absolute = 0", 1751) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityCruise = 1.000000000000000e+02", 1752) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Acceleration = 1.000000000000000e+03", 1753) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Deceleration = 1.000000000000000e+03", 1754) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Jerk = 2.222220000000000e+04", 1755) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("Wrap = 0", 1756) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ProfilerType = -1", 1757) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("SmoothFactor = -1.000000000000000e+00", 1758) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("StartType = 3", 1759) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("StopType = 1", 1760) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ProceedType = 3", 1761) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DisableTimeout = 22000", 1762) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMax = 4.500000000000000e+02", 1763) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMin = -4.500000000000000e+02", 1764) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMaxEnable = 1", 1765) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionMinEnable = 1", 1766) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionErrorMax = 1.000000000000000e+00", 1767) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionRollOver = 3.600000000000000e+02", 1768) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionRollOverEnable = 0", 1769) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionRollOverMin = -1.800000000000000e+02", 1770) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExtRollOver = 3.600000000000000e+02", 1771) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExtRollOverEnable = 0", 1772) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionExtRollOverMin = -1.800000000000000e+02", 1773) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityMax = 3.600000000000000e+02", 1774) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityOverSpeed = 4.320000000000000e+02", 1775) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocitySafetyLimit = 3.600000000000000e+03", 1776) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AccelerationMax = 3.600000000000000e+03", 1777) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DecelerationMax = 3.600000000000000e+03", 1778) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkMax = 1.440000000000000e+04", 1779) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorMax = 1.000000000000000e+05", 1780) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueMax = 1.000000000000000e+04", 1781) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueChangeRatioMax = 1.000000000000000e+00", 1782) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityOverride = 1.000000000000000e+02", 1783) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityRate = 1.000000000000000e+02", 1784) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AccelerationRate = 1.000000000000000e+02", 1785) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DecelerationRate = 1.000000000000000e+02", 1786) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkRate = 1.000000000000000e+02", 1787) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkAccelerationPercentage = 1.000000000000000e+02", 1788) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("JerkDecelerationPercentage = 1.000000000000000e+02", 1789) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingFactor = 1.000000000000000e+02", 1790) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingFactorPrevious = -1.000000000000000e+00", 1791) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingMethod = 1", 1792) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("BlendingStartCondition = 0", 1793) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CP = 0.000000000000000e+00", 1794) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CPPrev = -1.000000000000000e+00", 1795) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorDisableType = 0", 1796) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorEnable = 0", 1797) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorFilter = 1.000000000000000e+00", 1798) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueErrorStopType = 3", 1799) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueChangeRatio = 1.000000000000000e+00", 1800) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("HoldType = 0", 1801) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("DynamicModel = 0", 1802) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ModelOffset = 0.000000000000000e+00", 1803) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("CoulombFriction = 0.000000000000000e+00", 1804) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("ViscousFriction = 0.000000000000000e+00", 1805) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PayloadInertia = 0.000000000000000e+00", 1806) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PayloadMass = 0.000000000000000e+00", 1807) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("AbsEnable = 1", 1808) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("VelocityLimitTorqueMax = 1.000000000000000e+03", 1809) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TorqueLimitVelocityMax = 1.000000000000000e+04", 1810) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeOfShortMotions = 0", 1811) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeAcceleration = -1.000000000000000e+00", 1812) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeDeceleration = -1.000000000000000e+00", 1813) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeAccMin = 0", 1814) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("TimeDecMin = 0", 1815) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionBacklash = 0.000000000000000e+00", 1816) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("PositionBacklashAlpha = 9.000000000000000e-01", 1817) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("FastDataEnable = 0", 1818) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("mastersource = A19.PCMD", 1819) <> 0 then
		throw ERR_AX_SETUP
	end if

	if Execute_VES("slave = 0", 1820) <> 0 then
		throw ERR_AX_SETUP
	end if

	attach A6
		call EC_SET_MOTION_OPMODE(A6, 0)
	detach A6

	retStr = VesExecute("end with")

	print "Done setting motion and homing parameters to axis A6"

End Sub


function Execute_VES(byval command as string, byval err_code as long) as long

	dim retStr as string

	Execute_VES = 0
	AX_SETUP_PRG_error_code = 0
	retStr = VesExecute(command)

	if INSTR(retStr, "E:Error") <> 0  then

		AX_SETUP_PRG_error_code = err_code
		AX_SETUP_PRG_error_str = retStr
		Execute_VES = -1

	end if

end function

