'------------------------------------------------------------------------------
' File:        PnP.prg
' Purpose:     Robot Pick & Place
' Version:     1.00
' Author:      
' History:     
'------------------------------------------------------------------------------

' module global "constants"

 
' module global variables
dim shared ZeroPosition as joint of xyzypr = {0 , -90 , 180 , 0 , 0 , 0}                                     'Moving as joint - for initial positioning
dim shared P1    as location of xyzypr = #{376.436 , 150 , 300 , 0 , 180 , 2.95756e-06}                      '{X,Y,Z,Y,P,R}
dim shared P11   as location of xyzypr = #{376.436 , 150 , 325 , 0 , 180 , 2.95756e-06}
dim shared P22   as location of xyzypr = #{376.436 , -150 , 325 , 0 , 180 , 2.95756e-06}
dim shared P2    as location of xyzypr = #{376.436 , -150 , 300 , 0 , 180 , 2.95756e-06}
 
dim shared RobotVelocity as double = 40.0
 
program
 
    with Puma01                              'set default group element, no need to explicitly indicate the motion element
        Attach                               'Attach the task to motion element (with Puma)
            En = TRUE
            Sleep 100
            Vcruise = RobotVelocity          'Set robot's cruise velocity 
            while NOT En
                Sleep 100
            end while
            Move ZeroPosition                'moving to zero position
            WaitForMotion Puma01
              call pickPlaceXYZ              'execute Pick and Place function
            Move ZeroPosition
            WaitForMotion Puma01
        Detach
    end with    
 
end program
 
 
sub pickPlaceXYZ
 
    dim i as long
 
    Move PUMA01 P11
    WaitForMotion Puma01
    Puma01.BlendingMethod = 2                  'Type of motion blending - 2 is SuperPosition blending - in order to optimize movement, so that it will be as fast as possible
    Puma01.BlendingFactor = 80                 'Percentage of the movements length that will not be blended with the next movement
    for i = 1 to 10        
        Moves Puma01 P1
        WaitForMotion Puma01
        Moves Puma01 P11
        WaitForMotion Puma01
        Moves Puma01 P22
        WaitForMotion Puma01
        Moves Puma01 P2
        WaitForMotion Puma01
        Moves Puma01 P22
        WaitForMotion Puma01
        Moves Puma01 P11 
        WaitForMotion Puma01
    next i
    Move PUMA01 ZeroPosition
    WaitForMotion puma01
 
end sub