'***************************************  Robot Setup Program  ***************************************
' File:			ROBOT_SETUP.PRG
' Purpose:		Axes setup example
' Version:		V1.0.0.0
' History:		11:57:54 27/09/2017 - V1.0.0.0 Created
' Author:		AUTOMATICALLY GENERATED by ROBOT_SETUP_Gen.py
' Description:	This script configures each robot' parameters according to the user's specifications in
'				the softMC Configurator.
'
' Global Variables Used: num_Of_Motion_Drives as long  - Number of ECat Motion Drives found by EC_SETUP.PRG
'						Axes[64] - An array that holds all the axes in the system. Defined in CONFIG.PRG
'********************************************************************************************************

' module global variables
import_c PUMA_SET_THETA(byval as long, byval as long,byval as double) as double
import_c SCARA_SET_THETA(byval as long, byval as long,byval as double) as double

common shared ROBOT_PRG_error_code as long
common shared ROBOT_PRG_error_str as string

common shared ERR_ROBOT_SETUP as error "ERROR SETTING UP robot " 20766

common shared dHomingFactorFast as double = 0.5
common shared total_dh as double
common shared dHomingFactorslow as double = 0.25
common shared dHomingFactorAcc as double = 0.1
common shared dSec2msec as double = 1000  '  this is used to convert from typical user time-units [msec] to typical drive time-units [sec]
common shared dHomingVelocity as double
common shared dHomingAcceleration as double
common shared dVelocityLimit as double
common shared dDrivePeMax as double
common shared mm_to_inch as double = 0.0393701
common shared help as double = 1

Program

dim retStr as string

	dim Puma1_dh_a1 as double
	dim Puma1_dh_a2 as double
	dim Puma1_dh_d2 as double
	dim Puma1_dh_a3 as double
	dim Puma1_dh_d4 as double
	dim Puma1_dh_d6 as double
	if Execute_VES("with Puma1", 1) <> 0 then
		throw ERR_ROBOT_SETUP
	end if

	with Puma1
	Attach Puma1

	cplg[1][1] = 1
	cplg[1][2] = 0
	cplg[1][3] = 0
	cplg[1][4] = 0
	cplg[1][5] = 0
	cplg[1][6] = 0
	'***************************************
	cplg[2][1] = 0
	cplg[2][2] = 1
	cplg[2][3] = 0
	cplg[2][4] = 0
	cplg[2][5] = 0
	cplg[2][6] = 0
	'***************************************
	cplg[3][1] = 0
	cplg[3][2] = 0
	cplg[3][3] = 1
	cplg[3][4] = 0
	cplg[3][5] = 0
	cplg[3][6] = 0
	'***************************************
	cplg[4][1] = 0
	cplg[4][2] = 0
	cplg[4][3] = 0
	cplg[4][4] = 1
	cplg[4][5] = 0
	cplg[4][6] = 0
	'***************************************
	cplg[5][1] = 0
	cplg[5][2] = 0
	cplg[5][3] = 0
	cplg[5][4] = 0
	cplg[5][5] = 1
	cplg[5][6] = 0
	'***************************************
	cplg[6][1] = 0
	cplg[6][2] = 0
	cplg[6][3] = 0
	cplg[6][4] = 0
	cplg[6][5] = 0
	cplg[6][6] = 1
	'***************************************
	j1.pmin =-200
	j1.pmax =200

	j2.pmin =-180
	j2.pmax =0

	j3.pmin =80
	j3.pmax =240

	j4.pmin =-180
	j4.pmax =180

	j5.pmin =-110
	j5.pmax =110

	j6.pmin =-450
	j6.pmax =450

	Puma1_dh_a1 = 0
	Puma1_dh_a2 = 360
	Puma1_dh_d2 = 0
	Puma1_dh_a3 = -90.2828
	Puma1_dh_d4 = 376.436
	Puma1_dh_d6 = 126
	'set 0 to all links

	total_dh = 773.1532
	link[1][1] = 0
	link[1][2] = 0
	link[1][3] = 0
	'***************************************
	link[2][1] = 0
	link[2][2] = 0
	link[2][3] = 0
	'***************************************
	link[3][1] = 0
	link[3][2] = 0
	link[3][3] = 0
	'***************************************
	link[4][1] = 0
	link[4][2] = 0
	link[4][3] = 0
	'***************************************
	link[5][1] = 0
	link[5][2] = 0
	link[5][3] = 0
	'***************************************
	link[6][1] = 0
	link[6][2] = 0
	link[6][3] = 0
	'***************************************
	'assign values to axes

	?PUMA_SET_THETA(ElementID,0,0 )
	?PUMA_SET_THETA(ElementID,1, 0 )
	?PUMA_SET_THETA(ElementID,2, 0 )
	?PUMA_SET_THETA(ElementID,3, 0 )
	?PUMA_SET_THETA(ElementID,4, 0 )
	?PUMA_SET_THETA(ElementID,5, 0)
	axis[1][1] = 0
	axis[1][2] = 0
	axis[1][3] = 1
	'***************************************
	axis[2][1] = 0
	axis[2][2] = 0
	axis[2][3] = 1
	'***************************************
	axis[3][1] = 0
	axis[3][2] = 0
	axis[3][3] = 1
	'***************************************
	axis[4][1] = 0
	axis[4][2] = 0
	axis[4][3] = 1
	'***************************************
	axis[5][1] = 0
	axis[5][2] = 0
	axis[5][3] = 1
	'***************************************
	axis[6][1] = 0
	axis[6][2] = 0
	axis[6][3] = 1
	'***************************************
	link[1][2]=Puma1_dh_a1
	link[2][1]=Puma1_dh_a2
	link[1][1]=Puma1_dh_d2
	link[3][1]=Puma1_dh_a3
	link[4][1]=Puma1_dh_d4
	link[6][3]=Puma1_dh_d6
	'properties of the robot

	base =#{0,0,0,0,0,0}
	tool =#{0,0,0,0,0,0}
	machinetable =#{0,0,0,0,0,0}
	workpiece =#{0,0,0,0,0,0}
	if Execute_VES("PositionErrorDelay = 4.110000000000000e+00", 1839) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("absolute = 1", 1840) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("vord = 1.000000000000000e+02", 1841) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("SmoothFactor = -1.000000000000000e+00", 1842) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("ProfilerType = -1", 1843) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("vfac = 1.000000000000000e-03", 1844) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("AFac = 1.000000000000000e-06", 1845) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("JFac = 1.000000000000000e-09", 1846) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("OrientationFollowing = 0", 1847) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	configgroup

	if Execute_VES("vcruise = 3.600000000000000e+01", 1848) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("acc = 3.600000000000000e+03", 1849) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("dec = 3.600000000000000e+03", 1850) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("jerk = 1.440000000000000e+04", 1851) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("PeMax = 1.500000000000000e+02", 1852) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("VMax = 3.000000000000000e+02", 1853) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("AMax = 3.000000000000000e+03", 1854) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("Dmax = 3.000000000000000e+03", 1855) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("Jmax = 3.000000000000000e+04", 1856) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("PositionErrorSettle = 2.500000000000000e-02", 1857) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("velocityMaxTrans = 1.600000000000000e+03", 1858) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("AccelerationMaxTrans = 1.600000000000000e+04", 1859) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("JerkMaxTrans = 1.600000000000000e+05", 1860) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("velocityTrans = 3.200000000000000e+02", 1861) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("AccelerationTrans = 8.000000000000000e+03", 1862) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("DecelerationTrans = 8.000000000000000e+03", 1863) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("JerkTrans = 8.000000000000000e+04", 1864) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("velocityMaxRot = 8.000000000000000e+02", 1865) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("AccelerationMaxRot = 8.000000000000001e+03", 1866) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("JerkMaxRot = 8.000000000000001e+04", 1867) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("velocityRot = 1.600000000000000e+02", 1868) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("AccelerationRot = 4.000000000000000e+03", 1869) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("DecelerationRot = 4.000000000000000e+03", 1870) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("JerkRot = 4.000000000000001e+04", 1871) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("Rmin = 2.000000000000000e+02", 1872) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("Rmax = 1.500000000000000e+03", 1873) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("Xmin = -1.000000000000000e+03", 1874) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("Xmax = 1.000000000000000e+03", 1875) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("Ymin = -1.000000000000000e+03", 1876) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("Ymax = 1.500000000000000e+03", 1877) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("Zmin = -3.800000000000000e+02", 1878) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	if Execute_VES("Zmax = 1.500000000000000e+03", 1879) <> 0 then
	throw ERR_ROBOT_SETUP
	end if

	detach

	if Execute_VES("end with ", 1) <> 0 then
		throw ERR_ROBOT_SETUP
	end if

	end with

End program

function Execute_VES(byval command as string, byval err_code as long) as long

	dim retStr as string

	Execute_VES = 0
	ROBOT_PRG_error_code = 0
	retStr = VesExecute(command)

	if INSTR(retStr, "E:Error") <> 0  then

		ROBOT_PRG_error_code = err_code
		ROBOT_PRG_error_str = retStr
		Execute_VES = -1

	end if

end function

